## ros-eloquent-urg-c 1.0.4000

=== debian/changelog ===
ros-eloquent-urg-c (1.0.4000-1bionic) bionic; urgency=high

  * migrate ros2 devel (#11 <https://github.com/ros-drivers/urg_c/issues/11>)
  * Contributors: Karsten Knese, Brett, Marc-Antoine Testier, Chris Lalancette

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 17 Mar 2020 00:00:00 -0000

ros-eloquent-urg-c (1.0.405-1bionic) bionic; urgency=high

  * pass *pointer to* system timestamp, sync issue on quit
  * Adding new maintainer.
  * Contributors: Tony Baltovski, knickels

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 07 Aug 2018 00:00:00 -0000

ros-eloquent-urg-c (1.0.404-1bionic) bionic; urgency=high

  * Merge pull request #2 <https://github.com/ros-drivers/urg_c/issues/2> from dawonn/master
    Issue #1 <https://github.com/ros-drivers/urg_c/issues/1> - missing libmath link
  * Ubuntu 14.04 Fix - missing libmath link
  * Fix build for Android.
  * Contributors: Chad Rockey, dawonn

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 28 Apr 2014 00:00:00 -0000

ros-eloquent-urg-c (1.0.403-1bionic) bionic; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 00:00:00 -0000

ros-eloquent-urg-c (1.0.402-1bionic) bionic; urgency=high

  * Missing header for Ubuntu Raring 13.04
  * Contributors: chadrockey

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 04 Apr 2013 00:00:00 -0000

ros-eloquent-urg-c (1.0.401-1bionic) bionic; urgency=high

  * Updated version to 1.0.401
  * Added files for catkin/bloom to release.
  * Added better system timestamp
  * Added more information functions.
  * Updated includes for urg_c folder.
  * Moving header files to be standardized for source builds.
  * fix document
  * fixed laser off fail when urg_close() has called
  * fixed tcpclient_open bug on Linux
  * added angle_convert_test.c
  * fixed for ethernet sensor
  * fixed windows.h include timing
  * fixed urg_c-config created
  * fixed ethernet open problem
  * fixed compile error
  * added reported user Adrian Boeing. thanks!
  * added releasenotes
  * removed rt link script
  * fixed for OSX
  * added AUTHORS.txt
  * fixed plotter's bug
  * fixed multiecho data's bug
  * fixed urg_tcpclient_open()'s bug
  * fixed receive_length data handling
  * fixed 'if' condition handling data store
  * fixed NULL pointer access bug
  * fixed QT after RB
  * fixed Gx stop bug
  * translated page titles
  * fixed urg_sensor_status() function's bug
  * fixed buffer size
  * remove duplicated file
  * fixed doxygen comment
  * fixed dependency
  * fixed closing time is too long.
  * added receive_command_response() internal function.
  * added document tag
  * sepalated urg_debug.[ch]
  * added samples
  * fixed download path document.
  * urg_sleep(), urg_wakeup, urg_is_stabl() are implemented.
  * fixed parameter receive method.
  * fixed localhost convert
  * fixed localhost ip_address
  * added type item
  * changed error handler return type
  * added urg_scip_decode() function.
  * added error handler
  * removed temporary image files
  * fixed OpenGL 1 support
  * fixed html mainpage
  * added sample compile check
  * translated some files.
  * translated mainpage.dox
  * fixed document.
  * added timestamp tutorial
  * added images
  * fixed indent
  * added doxygen comment
  * added document.
  * added tutorial samples
  * fixed dox comment
  * mainpage is created.
  * fixed document mainpage layout
  * added usage document.
  * adjusted mainpage.dox
  * modify how to build sample with Visual Studio on Readme_ja.txt
  * added install dox document
  * added install document
  * fixed laser_off handling
  * fixed connection timeout
  * fixed capture_times
  * fixed sample's bug
  * added visual studio samples.
  * added sensor_parameter vc project.
  * added visual studio 2005 project files.
  * windows compile.bat for winsock2
  * fixed for VC++ compile error.
  * omit stdbool.h .
  * changed UTF-8 -> CP932
  * fixed snprintf implementation.
  * New directory windowsexe to make windows exe files.
  * adjusted for cl.exe compile.
  * changed the character encoding SJIS
  * added connect timeout function.
  * fixed TCP/IP connect timeout
  * added CC=gcc
  * fixed information funciton's bug
  * fixed urg_firmware_version() fail at URG-04LX
  * fixed serial connection fail.
  * fixed sh scripts
  * fixed release package compile failed.
  * added comment.
  * added impelementation comment.
  * fixed winsock close
  * fixed Makefile error
  * adjusted open routine.
  * fixed link libraries
  * added mingw install setting
  * fixed sort bug.
  * fixed urg_serial_utils_windows.c
  * implemented urg_serial_utils_windows.c
  * implemented urg_serial_utils_linux.c
  * added urg_sensor_product_type() function
  * fixed scan times bug
  * fixed make clean rule
  * fixed link directory
  * added read/write function
  * fixed multiecho sample
  * fixed sample bug
  * urg_sensor_id() -> urg_sensor_serial_id()
  * fixed scan_skip timeout problem
  * added extern C
  * fixed viewer compile setting
  * fixed split script
  * fixed sample code's indent
  * fixed header indent
  * fixed urg_c-config
  * urg_c-config addes
  * include directory added
  * doxygen tag added
  * conflict COPYRIGHT and current/COPYRIGHT
  * Doxyfile added
  * fixed using OS env
  * fixed dist rule
  * printf debug message removed.
  * error output code removed
  * key zoom enabled
  * Readme.txt modified and COPYRIGHT added.
  * urg_tcpclient.h comments
  * fixed urg_index2rad()'s bug
  * remove debug print
  * Merge
  * fixed sample args parser
  * fixed urg_serial_windows.c compile error.
  * added ld_rt.sh
  * fixed multiecho intensity bug
  * plotter_sdl.c is implemented.
  * viewer_sdl debugging
  * viewer_sdl.c is implemented.
  * fixed struct name
  * fixed multiecho sample
  * fixed samples for -e option
  * adjusted for mingw.
  * fixed sh script
  * windows socket debugging
  * windows tcp debugging
  * windows tcp debugging
  * fixed mingw compile failed.

